> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Context File

> Generate a download link for an agent context file.



## OpenAPI

````yaml get /context/agent/{agentId}/file/{fileId}/download
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /context/agent/{agentId}/file/{fileId}/download:
    get:
      tags:
        - Agent Context Files
      summary: Download Context File
      description: Generate a download link for an agent context file.
      operationId: AgentContextFilesController_getFileDownloadLink
      parameters:
        - name: agentId
          required: true
          in: path
          schema:
            type: string
        - name: fileId
          required: true
          in: path
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Download link generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadContextFileResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    DownloadContextFileResponseDto:
      type: object
      properties:
        downloadUrl:
          type: string
      required:
        - downloadUrl
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````